Bug 166188 - Review Request: perl-Class-DBI-Loader : Dynamic definition of Class::DBI sub classes
Review Request: perl-Class-DBI-Loader : Dynamic definition of Class::DBI sub ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Class-DBI...
:
Depends On: 166184 166191 166195 166196
Blocks: FE-ACCEPT 166189
  Show dependency treegraph
 
Reported: 2005-08-17 16:29 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 14:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch addressing review issues (1.43 KB, patch)
2005-09-09 05:57 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:29:33 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Loader.spec

SRPM Name or Url:
 http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Loader-0.22-2.src.rpm

Description: 

Dynamic definition of Class::DBI sub classes

(NOTE: This package is one of the Maypole dependencies)
Comment 2 Paul Howarth 2005-09-09 05:57:00 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, text included
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock on FC4 (i386)
- BR's mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions problems
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets
- no desktop file needed

Suggestions:

- POD checks are skipped by default - they can be enabled by setting the
  TEST_POD environment variable
- Having enabled POD checks, you'll then need to disable the POD coverage
  check because it fails
- Additional BR: perl(Test::Pod) is needed for the POD check
- BR: perl(Class::DBI) isn't needed because it's pulled in by the other
  BR's that are derived from that class
- Explicit perl(Class::DBI) dep isn't needed because it's pulled in by the
  other auto-detected deps (e.g. perl(Class::DBI::SQLite))

Approved since these aren't blockers.
Comment 3 Paul Howarth 2005-09-09 05:57:42 EDT
Created attachment 118628 [details]
Patch addressing review issues

Note You need to log in before you can comment on or make changes to this bug.